using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 商户分销自定义表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Distributor_Custom
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 头部图片
        /// </summary>        
        public string HeadImage
        {
            get;
            set;
        }

        /// <summary>
        /// 底部图片
        /// </summary>        
        public string BottomImage
        {
            get;
            set;
        }
        /// <summary>
        /// 分销申请文字描述
        /// </summary>        
        public string DistributionApplication
        {
            get;
            set;
        }
        /// <summary>
        /// 申请协议
        /// </summary>        
        public string ApplicationAgreement
        {
            get;
            set;
        }
        /// <summary>
        /// 按钮圆角像素
        /// </summary>        
        public int? ButtonFilletPX
        {
            get;
            set;
        }
        /// <summary>
        /// 按钮文本
        /// </summary>        
        public string ButtonText
        {
            get;
            set;
        }
        /// <summary>
        /// 按钮颜色
        /// </summary>        
        public string ButtonColor
        {
            get;
            set;
        }
        /// <summary>
        /// 按钮文字颜色
        /// </summary>        
        public string ButtonTextColor
        {
            get;
            set;
        }
        /// <summary>
        /// 分销佣金名称
        /// </summary>        
        public string DistributionCommissionName
        {
            get;
            set;
        }
        /// <summary>
        /// 分销佣金图片
        /// </summary>        
        public string DistributionCommissionImage
        {
            get;
            set;
        }
        /// <summary>
        /// 分销订单名称
        /// </summary>        
        public string DistributionOrderName
        {
            get;
            set;
        }
        /// <summary>
        /// 分销订单图片
        /// </summary>        
        public string DistributionOrderImage
        {
            get;
            set;
        }
        /// <summary>
        /// 提现明细名称
        /// </summary>        
        public string WithdrawDetialsName
        {
            get;
            set;
        }
        /// <summary>
        /// 提现明细图片
        /// </summary>        
        public string WithdrawDetialsImage
        {
            get;
            set;
        }
        /// <summary>
        /// 我的团队名称
        /// </summary>        
        public string MyTeamName
        {
            get;
            set;
        }
        /// <summary>
        /// 我的团队图片
        /// </summary>        
        public string MyTeamImage
        {
            get;
            set;
        }
        /// <summary>
        /// 推广二维码名称
        /// </summary>        
        public string PromoteQRCodeName
        {
            get;
            set;
        }
        /// <summary>
        /// 推广二维码图片
        /// </summary>        
        public string PromoteQRCodeImage
        {
            get;
            set;
        }
        /// <summary>
        /// 推荐人描述
        /// </summary>        
        public string ReferrerName
        {
            get;
            set;
        }
        /// <summary>
        /// 可提现佣金描述
        /// </summary>        
        public string CommissionForWithdrawalName
        {
            get;
            set;
        }
        /// <summary>
        /// 提现描述
        /// </summary>        
        public string WithdrawDepositName
        {
            get;
            set;
        }
        /// <summary>
        /// 已提现佣金描述
        /// </summary>        
        public string CommissionWithdrawnName
        {
            get;
            set;
        }
        /// <summary>
        /// 未结算佣金描述
        /// </summary>        
        public string OutstandingCommissionName
        {
            get;
            set;
        }
        /// <summary>
        /// 分销商描述
        /// </summary>        
        public string DistributorName
        {
            get;
            set;
        }
        /// <summary>
        /// 待打款佣金描述
        /// </summary>        
        public string CommissionTobePaidName
        {
            get;
            set;
        }
        /// <summary>
        /// 用户须知描述
        /// </summary>        
        public string UserNotesName
        {
            get;
            set;
        }
        /// <summary>
        /// 我要提现描述
        /// </summary>        
        public string IWantToWithdrawName
        {
            get;
            set;
        }
        /// <summary>
        /// 提现金额描述
        /// </summary>        
        public string WithdrawalAmountName
        {
            get;
            set;
        }
        /// <summary>
        /// 提现方式描述
        /// </summary>        
        public string WithdrawalWayName
        {
            get;
            set;
        }
        /// <summary>
        /// 一级分销商名称
        /// </summary>        
        public string OneDistributionName
        {
            get;
            set;
        }
        /// <summary>
        /// 二级分销商名称
        /// </summary>        
        public string TwoDistributionName
        {
            get;
            set;
        }
        /// <summary>
        /// 三级分销商名称
        /// </summary>        
        public string ThreeDistributionName
        {
            get;
            set;
        }
        /// <summary>
        /// 商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 小程序id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateDate
        /// </summary>        
        public DateTime? UpdateDate
        {
            get;
            set;
        }

        /// <summary>
        /// 是否显示vip购买图标0-否，1-是
        /// </summary>
        public int  IsShowVIPBuyPic { get; set; }


        /// <summary>
        /// vip购买链接图标
        /// </summary>        
        public string VipBuyICO
        {
            get;
            set;
        }  /// <summary>
           /// vip购买链接
           /// </summary>        
        public string VipBuyUrl
        {
            get;
            set;
        }


        /// <summary>
        /// 是否开启离线收益提醒  1是 0否
        /// </summary>
        public int OpenOfflineEarnings { get; set; }
    }
}
